For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/contacts/contact-properties/get-api-contacts-v1properties-list.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List Contact Properties

GET
/api/contacts/v1/properties/list
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { properties, propertyError } = await reloop.contacts.properties.list({
6 page: 1,
7 limit: 10,
8});
9
10if (propertyError) throw propertyError;
11
12console.log(properties.total, properties.properties);
1{
2 "object": "contact_property",
3 "properties": [
4 {
5 "object": "contact_property",
6 "id": "prop_123456789",
7 "propertyName": "company_name",
8 "propertyType": "string",
9 "defaultValue": "Unknown",
10 "createdAt": "2026-03-27T10:00:00Z",
11 "updatedAt": "2026-03-27T10:00:00Z"
12 }
13 ],
14 "total": 1,
15 "page": 0,
16 "limit": 0,
17 "event": "evt_123456789"
18}

Query Parameters

pagenumberdefault: 1
  • Minimum value: 1
limitnumberdefault: 10
  • Minimum value: 1
  • Maximum value: 100
searchstring

Search by name

type"string" | "number"

Possible values: string | number

organizationIdstring

Was this page helpful?